package application;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.scene.Scene;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

import java.util.List;
import java.util.Map;
import java.util.Set;

public class Parameters1 extends Application {

    public static void main(String[] args) {

        Application.launch(
                "--w=300", "--h=200", "400", "Aria");
    }

    @Override
    public void init(){}

    @Override
    public void start(Stage stage) {
        try {
            Parameters params = this.getParameters();
            //-----------------
            Map<String, String> nParams = params.getNamed();
            System.out.println("nParams: ");
            Set<Map.Entry<String, String>> set = nParams.entrySet();
            for(Map.Entry<String, String> entry : set){
                    System.out.println(entry.getKey() + " "
                            + entry.getValue());
            }
            //-----------------
            List<String> unParams = params.getUnnamed();
            System.out.println("unParams: ");
            for(String b: unParams){
                System.out.println(b);
            }
            //-----------------
            List<String> rParams = params.getRaw();
            System.out.println("rParams: ");
            for(String c: rParams){
                System.out.println(c);
            }
            //-----------------
            StackPane root = new StackPane();
            Scene scene = new Scene(root, 300, 200);
            stage.setScene(scene);
            stage.setTitle(this.getClass().getName());
            stage.setOnCloseRequest(e -> Platform.exit());
            stage.show();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void stop(){}
}
